Page MenuHomePhabricator

Release 5.7.3. (1296)
Closed, ResolvedPublic

Description

Release version: 5.7.3 (1296)
Release tag:
Release SHA1:
App Store Submission Date:
App Store Approval Date:
App Store Release Date:
Regression Testing URL: See subtask


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to External testers
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Upload new screenshots & app icons to iTunes Connect (if needed)
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received in HockeyApp
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Point current status at this card
  • Update version number in feedback email link
  • Update HockeyApp console to mark build as released once released
  • Post on mobile-l

Related Objects

Event Timeline

JMinor created this task.Dec 12 2017, 7:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 12 2017, 7:46 PM
JMinor triaged this task as High priority.Dec 12 2017, 7:52 PM
JMinor renamed this task from Release 5.7.3. (1275) to Release 5.7.3. (1276).Dec 12 2017, 9:39 PM
JMinor renamed this task from Release 5.7.3. (1276) to Release 5.7.3. (1277).Dec 12 2017, 11:24 PM
JoeWalsh renamed this task from Release 5.7.3. (1277) to Release 5.7.3. (1281).Dec 13 2017, 6:36 PM
JoeWalsh updated the task description. (Show Details)
JoeWalsh renamed this task from Release 5.7.3. (1281) to Release 5.7.3. (1288).Dec 15 2017, 9:57 PM
JoeWalsh updated the task description. (Show Details)
JoeWalsh renamed this task from Release 5.7.3. (1288) to Release 5.7.3. (1295).Dec 19 2017, 6:07 PM
JoeWalsh updated the task description. (Show Details)
JoeWalsh renamed this task from Release 5.7.3. (1295) to Release 5.7.3. (1296).Dec 19 2017, 8:54 PM
JoeWalsh updated the task description. (Show Details)
JMinor closed this task as Resolved.Feb 8 2018, 9:21 PM
JMinor updated the task description. (Show Details)